# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.85"
name = "srbn-serde"
version = "0.1.0"
authors = [
    "Vikrant Rathore",
    "Ronak Rathore",
]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Serde and serde_json helpers for SRBN trace types"
homepage = "https://codeberg.org/insanai/srbn-rust"
documentation = "https://codeberg.org/insanai/srbn-rust"
readme = "README.md"
license = "LGPL-3.0-only"
repository = "https://codeberg.org/insanai/srbn-rust"

[lib]
name = "srbn_serde"
path = "src/lib.rs"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.149"

[dependencies.srbn]
version = "0.1.0"
